No audio over DisplayPort MST

Bug #1467190 reported by Totally King on 2015-06-21
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have a Lenovo ThinkPad E540 with an Intel Haswell (4th Gen) HD graphics controller connected to a OneLink Pro Dock. The Dock uses DisplayPort (DP) 1.2 MST (multi stream transport) to provide both a DP and a DVI port. My monitor is connected to the DP.

When I used kernels <= 3.16 audio worked fine, but the monitor would flicker heavily. So I installed linux-lts-vivid (3.19) which fixed the graphics problem (now I can see various DP? outputs in xrandr as opposed to one before), but there is no DP audio output to chose anymore.

I also tested the latest mainline kernel 4.1-rc8, where this bug still exists. To further investigate I got these version's kernel sources, applied 4 patches by Dave Airlie from the intel-gfx mailing list [1] and tested this build (4.1-rc8+), which fixed the problem! I can play sound over DP, the same way I can over HDMI or DP without MST.

I hope it is possible to backport these changes!

[1] haswell displayport MST audio support
    http://www.spinics.net/lists/intel-gfx/msg68973.html

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.19.0-22-generic 3.19.0-22.22~14.04.1
ProcVersionSignature: Ubuntu 3.19.0-22.22~14.04.1-generic 3.19.8-ckt1
Uname: Linux 3.19.0-22-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.11
Architecture: amd64
CurrentDesktop: Unity
Date: Sun Jun 21 01:44:30 2015
InstallationDate: Installed on 2014-01-06 (530 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
SourcePackage: linux-lts-vivid
UpgradeStatus: Upgraded to trusty on 2014-06-12 (373 days ago)
---
ApportVersion: 2.20.1-0ubuntu2.4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: stefan 2509 F.... pulseaudio
 /dev/snd/controlC1: stefan 2509 F.... pulseaudio
 /dev/snd/controlC0: stefan 2509 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=2ecc68b9-65e3-4cee-9b2a-d41ff651e4e8
InstallationDate: Installed on 2014-01-06 (1077 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: LENOVO 20C6S00200
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-57-generic.efi.signed root=/dev/mapper/ubuntuvg-root ro nogpumanager quiet splash pcie_aspm=force intel_pstate=enable
ProcVersionSignature: Ubuntu 4.4.0-57.78-generic 4.4.35
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-57-generic N/A
 linux-backports-modules-4.4.0-57-generic N/A
 linux-firmware 1.157.6
Tags: xenial
Uname: Linux 4.4.0-57-generic x86_64
UpgradeStatus: Upgraded to xenial on 2016-12-15 (3 days ago)
UserGroups: adm bumblebee cdrom dip lp lpadmin plugdev sambashare staff sudo vboxusers wireshark
_MarkForUpload: True
dmi.bios.date: 09/23/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: J9ET9EWW (2.24 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20C6S00200
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrJ9ET9EWW(2.24):bd09/23/2016:svnLENOVO:pn20C6S00200:pvrThinkPadEdgeE540:rvnLENOVO:rn20C6S00200:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20C6S00200
dmi.product.version: ThinkPad Edge E540
dmi.sys.vendor: LENOVO

Totally King (totally-king) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-vivid (Ubuntu):
status: New → Confirmed
tags: added: cherry-pick
Changed in linux-lts-vivid (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Ray-Ven (ray-ven) wrote :

Problem persists in yakkety (and all other ubuntu versions with kernels higher than 3.16)

Ray-Ven (ray-ven) wrote :

Totally King, in order to review the hardware this patch applies to, please execute the following command only once, as it will automatically gather debugging information, in a terminal:
apport-collect 1467190

affects: linux-lts-vivid (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Medium → Low
status: Triaged → Incomplete
Ray-Ven (ray-ven) wrote :

apport information

tags: added: apport-collected xenial
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

tags: added: latest-bios-2.24
Changed in linux (Ubuntu):
importance: Low → Medium
status: Incomplete → Triaged
tags: added: kernel-bug-exists-upstream-4.9
removed: kernel-bug-exists-upstream-4.1-rc8 latest-bios-2.24
Totally King (totally-king) wrote :

Thanks! Indeed I updated to the latest BIOS version (no change). As you can see (with my still identical hardware) the bug persists in ubuntu 16.04.1 and kernel 4.4 (4.4.0-57.58 to be exact). I also just tested the latest mainline kernel release 4.9 (4.9.0-040900-generic) which did not fix it!

tags: added: kernel-bug-exists-upstream latest-bios-2.24
Ray-Ven (ray-ven) wrote :

@Totally King, is it possible you let me try your patched kernel with my hardware? I'm not able to apply the patches and everything.
I'd like to see if my bugreport is a duplicate of yours.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1310594

Thank you

Download full text (4.8 KiB)

 @Ray-Ven I don't have the files lying around anymore. I will try to do it
again sometime. But until I get to it, you could really do it yourself if
you have a little experience with the terminal. I used git as per the
instructions on e.g. http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.9/.
Using git apply you can also apply the patches from
http://www.spinics.net/lists/intel-gfx/msg68973.html

Ray-Ven <email address hidden> schrieb am Sa., 14. Jan. 2017 um
23:59 Uhr:

> @Totally King, is it possible you let me try your patched kernel with my
> hardware? I'm not able to apply the patches and everything.
> I'd like to see if my bugreport is a duplicate of yours.
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1310594
>
> Thank you
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1467190
>
> Title:
> No audio over DisplayPort MST
>
> Status in linux package in Ubuntu:
> Triaged
>
> Bug description:
> I have a Lenovo ThinkPad E540 with an Intel Haswell (4th Gen) HD
> graphics controller connected to a OneLink Pro Dock. The Dock uses
> DisplayPort (DP) 1.2 MST (multi stream transport) to provide both a DP
> and a DVI port. My monitor is connected to the DP.
>
> When I used kernels <= 3.16 audio worked fine, but the monitor would
> flicker heavily. So I installed linux-lts-vivid (3.19) which fixed the
> graphics problem (now I can see various DP? outputs in xrandr as
> opposed to one before), but there is no DP audio output to chose
> anymore.
>
> I also tested the latest mainline kernel 4.1-rc8, where this bug still
> exists. To further investigate I got these version's kernel sources,
> applied 4 patches by Dave Airlie from the intel-gfx mailing list [1]
> and tested this build (4.1-rc8+), which fixed the problem! I can play
> sound over DP, the same way I can over HDMI or DP without MST.
>
> I hope it is possible to backport these changes!
>
> [1] haswell displayport MST audio support
> http://www.spinics.net/lists/intel-gfx/msg68973.html
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.19.0-22-generic 3.19.0-22.22~14.04.1
> ProcVersionSignature: Ubuntu 3.19.0-22.22~14.04.1-generic 3.19.8-ckt1
> Uname: Linux 3.19.0-22-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3.11
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Sun Jun 21 01:44:30 2015
> InstallationDate: Installed on 2014-01-06 (530 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> SourcePackage: linux-lts-vivid
> UpgradeStatus: Upgraded to trusty on 2014-06-12 (373 days ago)
> ---
> ApportVersion: 2.20.1-0ubuntu2.4
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC2: stefan 2509 F.... pulseaudio
> /dev/snd/controlC1: stefan 2509 F.... pulseaudio
> /dev/snd/controlC0: stefan 2509 F.... pulseaudio
> CurrentDesktop: Unity
> DistroRelease: Ubuntu 16.04
> HibernationDevice: RESUME=UUID=2ecc68b9-65e3-4cee-9b2a-d41ff651e4e8
> InstallationDate: Installed on 2014-01-06 (1077 da...

Read more...

MR Zenwiz (mrzenwiz) wrote :

I have an HP 8740w that has the same problem on Xenial LTS (16.04.3) with the HWE (4.10) kernel, although I have also tested it on the 4.4 generic kernel with the same results.

The sound configuration shows only analog audio possibilities (5, IIRC), whereas on my older HP (stolen) and my broken ASUS (when it was working) both showed 7 or more options, including several digital options, many of which worked just fine through the HDMI TV at the other end.

I have used four different DP-HDMI adapters, 3 which were non-active and the newest one, which is an active adapter from SIIG - no digital sound at all.

What this does is it makes it impossible to get, e.g., movie sound on the HDMI TV set, which means I am stuck with the notebook speakers - they're nice, but it's just not the same, or a plug-in set, which should never be necessary when the hardware supports the right kind of sound.

If I put the Windows hard drive the system cam with back into the notebook and run from there, the sound is just fine. That was strictly for test purposes - I never use Windows if I can avoid it, which is better than 99% of the time.

I would really appreciate a fix. I can attach whatever information you need on request.

Thanks.

MR Zenwiz (mrzenwiz) wrote :

Please forgive my typos. I usually catch those...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers